Author Topic: Support new version of BricsCAD  (Read 724 times)

matthew ma

  • Newbie
  • *
  • Posts: 3
Support new version of BricsCAD
« on: December 15, 2017, 07:39:03 AM »
Dear Sir,

Do you will updated the BricsTurn to support the new version of BricsCAD.

Thx!

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #1 on: December 19, 2017, 04:29:58 PM »
Yes, probably I will do that. I'll look into it as soon I have some time left.

/Lars

matthew ma

  • Newbie
  • *
  • Posts: 3
Re: Support new version of BricsCAD
« Reply #2 on: December 20, 2017, 04:21:31 AM »
Thank you very much!

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #3 on: December 27, 2017, 09:43:45 AM »
I've tested current version of BricsTurn (Build 1.0.23) on the new version of BricsCAD (V18) and it works as designed.

/Lars
« Last Edit: December 27, 2017, 09:47:19 AM by Lars »

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #4 on: December 03, 2018, 08:59:15 PM »
Lars -

I have installed BricsTurn and am using BricsCAD V18 (Version 18.2.20 (x64) revision 55961), however when I enter "Bricscad V18" in the Cad Settings (manually typing it) I get the error "BricsCad is not running, or wrong version!"  I made sure that BricsCAD was running before I loaded BricsTurn.  What should I be entering for BricsTurn to recognize that BricsCAD is running?

Alan

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #5 on: December 04, 2018, 06:11:30 PM »
Try to uninstall and run the installation as administrator (right click on the installation exe or msi). Then run BricksTurn and also BricsCAD as administrator.

/Lars

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #6 on: December 04, 2018, 06:41:44 PM »
Thanks Lars - I already installed and am running BricsCAD as administrator but had not done it for BricsTurn.  I'll report back after I try that.

Alan

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #7 on: December 04, 2018, 06:51:09 PM »
Hi Lars -

Nope - made no difference.  Both BricsCAD and BricsTurn run as administrator; started BricsCAD first then fired up BricsTurn, drew a Pline in BC then made sure BricsCad V18 was shown in the BT Cad Settings, then chose "Execute".  That is when it gives me the "not running" error still.

Is there something else I need to look at, or is there a different name I should use in the Cad Settings for BC?

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #8 on: December 05, 2018, 06:27:56 AM »
Did you uninstall BricsTurn and then reinstall it as administrator? The problem you have is due administration rights.

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #9 on: December 05, 2018, 03:02:59 PM »
Yes, I uninstalled it, then marked the installer to be run as an administrator, and after it was installed I changed the shortcut to be run as an administrator as well.

Alan

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #10 on: December 07, 2018, 01:04:44 PM »
Check if you have several instances of BricsCad running.

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #11 on: December 07, 2018, 06:01:11 PM »
I only have one instance of BricsCAD running - not multiple.

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #12 on: December 08, 2018, 02:22:58 PM »
I'll download a trial and see if I can do anything about it. BTW have you testes to use the setting for BricsCAD V10?

/Lars
« Last Edit: December 08, 2018, 02:48:36 PM by Lars »

MtnArch

  • Newbie
  • *
  • Posts: 7
Re: Support new version of BricsCAD
« Reply #13 on: December 08, 2018, 04:25:51 PM »
I've tried all settings.  I'm at a loss.

Lars

  • Administrator
  • Hero Member
  • *****
  • Posts: 500
Re: Support new version of BricsCAD
« Reply #14 on: December 09, 2018, 02:23:37 PM »
I've tested with BricsCAD V19 64 bit and it works.

You need to run BricsTurn as administrator.
In BricsTurn Settings you use either "Bricscad V10" or "Bricscad V11" it  doesn't matter all BricsCAD version above V10 seems to work. Then start BricsCAD as administrator (right click and select Run as Administrator)

/Lars